Bug 1301682 - katello-configure doesn't ave answer file "Default-answer-file" documented
katello-configure doesn't ave answer file "Default-answer-file" documented
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide (Show other bugs)
All All
medium Severity medium (vote)
: 6.2.1
: 6.2
Assigned To: Allison Heslin
Russell Dickenson
Depends On:
  Show dependency treegraph
Reported: 2016-01-25 11:52 EST by Kurt Seifried
Modified: 2016-08-04 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-04 13:14:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2016-01-25 11:52:25 EST
When using katello-configure it is possible to use an answer file "Default-answer-file"  to pass options, this is supported but not documented. This is a problem because users can password passwords as command line options, which an attacker may see (by running ps for example). The safer alternative is for a user to use an answer file, so the password is not exposed. If the  "Default-answer-file"  answer file can be documented I would appreciate that, thanks!

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Andrew Dahms 2016-07-28 06:49:03 EDT
Assigning to Ali for review.
Comment 2 Allison Heslin 2016-08-03 09:25:15 EDT
Hi Kurt,

It looks like we document the answer file here: 


Does that sufficiently meet your request?
Comment 3 Kurt Seifried 2016-08-03 20:34:14 EDT
Ah ok, it wasn't in the man pages and no mention of passwords/etc occurred in the docs. Maybe it could be improved to make it easier to find.
Comment 4 Allison Heslin 2016-08-04 13:14:02 EDT
We're working on improving the structure of the guide for the next release. Since the content is there, I think it's ok to close this one since it'll be covered by that effort.

Note You need to log in before you can comment on or make changes to this bug.